import os
# For now we gather config options here.
# TODO: Make this a robustly parsed external config file, rather than having
# users edit code.
pf = open(os.path.join(os.getcwd(), "reglages/tts.conf"), 'r')
voice_file =pf.readline().strip('\n')
mbrola_f=pf.readline().strip('\n')
mbrola_t=pf.readline().strip('\n')
pf.flush()
pf.close()

# Language phonetic rules and filters.
rulefile = os.path.join(os.getcwd(), "cicero/rules.fr")
# List of known good phonetic translations for regression check
testfile = os.path.join(os.getcwd(), "cicero/checklist.fr")
# MBROLA executable
mbrola_prog_path = os.path.join(os.getcwd(),"mbrola/mbrola-linux-i386")
# MBROLA voice file
mbrola_voice = os.path.join(os.getcwd(),"mbrola",voice_file,voice_file)
# pitch factor
#mbrola_f = 0.95
# default time factor (smaller talks faster)
# note: BRLTTY for example might override this with its own value
#mbrola_t = 1.3
# Output sound device
snd_dev = '/dev/dsp'
# Debugging output on stderr
tracing = 0
